#include "std.mi"

Global Group		grpMain;
Global Group		grpRepBtn;
Global Group		grpVu;
Global Group		grpAlbmArt;
Global ToggleButton	btnAlbArt;
Global ToggleButton	btnVu;
Global int 		intVuState;
Global int 		intAlbArtState;

System.onScriptLoaded() {

	grpMain 	= getScriptGroup();
	grpRepBtn	= grpMain.findObject("RepeatButton.Group");
	grpVu		= grpMain.findObject("AniName.Group");
	grpAlbmArt	= grpMain.findObject("AlbumArt.Group");
	btnVu		= grpRepBtn.findObject("BtnVuMeter");
	btnAlbArt	= grpRepBtn.findObject("BtnAlubumArt");
	intVuState	= System.getPrivateInt("eriezeV", "VuState", 0);
	intAlbArtState	= System.getPrivateInt("eriezeAA", "AlbArtState", 0);


	if (intVuState== 0){

		grpVu.Show();
	}
	else if(intVuState == 1){

		grpVu.Hide();
		btnVu.leftclick();
	}
	if (intAlbArtState == 0){

		grpAlbmArt.Show();
	}
	else if(intAlbArtState == 1){

		grpAlbmArt.Hide();
		btnAlbArt.leftclick();
	}
}

System.onScriptUnloading() {

	System.setPrivateInt("eriezeV", "VuState", intVuState);
	System.setPrivateInt("eriezeAA", "AlbArtState", intAlbArtState);
}
btnAlbArt.onToggle(boolean on) {

	intAlbArtState = stringtointeger(btnAlbArt.getXmlParam("cfgval"));

	if(intAlbArtState == 0){

		grpAlbmArt.Show();
	}
	else if(intAlbArtState == 1){
	
		grpAlbmArt.Hide();
	}
}
btnVu.onToggle(boolean on) {

	intVuState = stringtointeger(btnVu.getXmlParam("cfgval"));

	if(intVuState == 0){

		grpVu.Show();
	}
	else if(intVuState == 1){
	
		grpVu.Hide();
	}
}